Package org.jboss.resteasy.spi

## Class NoLogWebApplicationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - javax.ws.rs.WebApplicationException
        - - org.jboss.resteasy.spi.NoLogWebApplicationException

- All Implemented Interfaces:
    `Serializable`

      public class NoLogWebApplicationException
      extends javax.ws.rs.WebApplicationException

  WebApplicationExceptions are logged by RESTEasy. Use this exception when you don't want your exception logged
  Version:
    $Revision: 1 $
  Author:
    Bill Burke
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `NoLogWebApplicationException()` |
    `NoLogWebApplicationException​(int status)` |
    `NoLogWebApplicationException​(Throwable cause)` |
    `NoLogWebApplicationException​(Throwable cause, int status)` |
    `NoLogWebApplicationException​(Throwable cause, javax.ws.rs.core.Response response)` |
    `NoLogWebApplicationException​(Throwable cause, javax.ws.rs.core.Response.Status status)` |
    `NoLogWebApplicationException​(javax.ws.rs.core.Response response)` |
    `NoLogWebApplicationException​(javax.ws.rs.core.Response.Status status)` |

  - ### Method Summary

    - ### Methods inherited from class javax.ws.rs.WebApplicationException

      `getResponse`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NoLogWebApplicationException

          public NoLogWebApplicationException()

    - #### NoLogWebApplicationException

          public NoLogWebApplicationException​(javax.ws.rs.core.Response response)

    - #### NoLogWebApplicationException

          public NoLogWebApplicationException​(int status)

    - #### NoLogWebApplicationException

          public NoLogWebApplicationException​(javax.ws.rs.core.Response.Status status)

    - #### NoLogWebApplicationException

          public NoLogWebApplicationException​(Throwable cause)

    - #### NoLogWebApplicationException

          public NoLogWebApplicationException​(Throwable cause,
                                              javax.ws.rs.core.Response response)

    - #### NoLogWebApplicationException

          public NoLogWebApplicationException​(Throwable cause,
                                              int status)

    - #### NoLogWebApplicationException

          public NoLogWebApplicationException​(Throwable cause,
                                              javax.ws.rs.core.Response.Status status)